# Blacksmith Visuals

This plugin adds additional visual and audial details to blacksmiths while they are working, so it's easier to see if
they are working or not. It is recommended to put a mace or other hammer-like item in the NPC's off-hand for full
effect.

## FAQ

### Citizens lookclose makes NPC rotate weirdly

It has been found that with some options, lookclose can still be used. An example of a working lookclose setup is:
`/npc lookclose --linkedbody false --disablewhennavigating true --perplayer true --range 3 --targetnpcs false --headonly true --linkedbody false -r false`
Some other options might work as well, but a lot of options won't, as it messes with manual NPC rotation. Keep that in
mind.

### NPCs teleport part of the way while walking to or from a crafting station

This behavior is inevitable. As Citizens pathing is not very accurate (as described in Citizens' FAQ), the NPC must be
teleported to end up in the correct spot.

## Commands

| Command                                                    | Options                                                                  | Description                                                                                  |
|------------------------------------------------------------|--------------------------------------------------------------------------|----------------------------------------------------------------------------------------------|
| /reload (/blacksmithvisuals:reload)                        |                                                                          | Reloads the plugin.                                                                          |
| /setNPCPosition <positionType>                             | idle, netherite-workstation, reforging-workstation, crafting-workstation | Sets an idle or working position for an NPC to the current location of the executing player. |
| /playTestSound <sound category> <sound> \[volume] \[pitch] |                                                                          | Plays the specified sound at the selected NPC.                                               |

## Permissions

| Permission                      | Description                                  |
|---------------------------------|----------------------------------------------|
| blacksmithvisuals.*             | Gives all permissions.                       |
| blacksmithvisuals.reload        | Gives access to the reload command.          |
| blacksmithvisuals.setposition   | Gives access to the /setNPCPosition command. |
| blacksmithvisuals.playtestsound | Gives access to the /playTestSound command.  |